#ifndef MY_DIM
#error MY_DIM unset
#endif

#include "../../explicitgrid.hh"
#include "../../explicitvectors.hh"

#include "../../data-structures/levelcontactnetwork.hh"

using BoundaryNodes = typename LevelContactNetwork<Grid, MY_DIM>::BoundaryNodes;
using BoundaryFunctions = typename LevelContactNetwork<Grid, MY_DIM>::BoundaryFunctions;

template class RateUpdater<Vector, Matrix, BoundaryFunctions, BoundaryNodes>;
template class Newmark<Vector, Matrix, BoundaryFunctions, BoundaryNodes>;
template class BackwardEuler<Vector, Matrix, BoundaryFunctions, BoundaryNodes>;
